import java.awt.*;
public class Main extends Frame {
    Label l = new Label();

    Main() {
        super("mouseMove Example");
        Panel p = new Panel();
        p.setLayout(new GridLayout(2, 2));
        for (int i=0; i<4; i++) {
            p.add(new MainCanvas());
        }
        add("Center", p);
        add("South", l);
        resize(200, 200);
        show();
    }

    public boolean mouseMove(Event evt, int x, int y) {
        l.setText("("+x+", "+y+")");
        return true;
    }

    static public void main(String[] args) {
        new Main();
    }
}

class MainCanvas extends Canvas {
    String label = "";

    public void paint(Graphics g) {
        int w = size().width;
        int h = size().height;
        FontMetrics fm = g.getFontMetrics();

        g.drawString(label, (w-fm.stringWidth(label))/2, 
            (h-fm.getHeight())/2+fm.getAscent());
        g.setColor(getBackground());
        g.draw3DRect(0, 0, w-1, h-1, true);
    }

    public boolean mouseMove(Event evt, int x, int y) {
        label = "("+x+", "+y+")";
        repaint();
        return false;
    }
}
