import java.io.PrintStream;
import java.io.OutputStream;
import java.util.Date;

class Main2 {
    private static final String myServerVersion = "RLPCBrowse/1.0";
    private static final String mimeVersion = "1.0";
    private static final int goodStatus = 200;

    // writes HTTP server response header for text/html type
    public static void writeHTTPHeader(Date modDate, OutputStream orig) {
        PrintStream out = new PrintStream(orig, false); // no autoflush

        out.println("HTTP/1.0 " + goodStatus + " OK");
        out.println("Date: " + (new Date()).toGMTString());
        out.println("Server: " + myServerVersion);
        out.println("MIME-version: " + mimeVersion);
        out.println("Content-type: text/html");
        out.println("Last-modified: " + modDate.toGMTString());
        out.println();

        out.flush();
    }
    public static void main(String[] args) {
        writeHTTPHeader(new Date(), System.out);
    }
}

