import java.awt.*;
class Main extends Frame {
    CardLayout cardLayout = new CardLayout();
    Panel cardCont = new Panel();
    Main() {
        super("CardLayout Example");

        cardCont.setLayout(cardLayout);
        cardCont.add("First", new Button("First"));
        cardCont.add("Second", new Button("Second"));
        cardCont.add("Third", new Button("Third"));
        cardCont.add("Show", new Button("Show"));
        cardCont.add("Last", new Button("Last"));
        add("Center", cardCont);

        Panel p = new Panel();
        p.setLayout(new GridLayout(1, 0));
        p.add(new Button("First"));
        p.add(new Button("Next"));
        p.add(new Button("Prev"));
        p.add(new Button("Last"));
        p.add(new Button("Show"));
        add("South", p);
        pack();
        show();
    }

    public boolean action(Event evt, Object arg) {
        if ("First".equals(arg)) {
            cardLayout.first(cardCont);
            return true;
        } else if ("Prev".equals(arg)) {
            cardLayout.previous(cardCont);
            return true;
        } else if ("Next".equals(arg)) {
            cardLayout.next(cardCont);
            return true;
        } else if ("Last".equals(arg)) {
            cardLayout.last(cardCont);
            return true;
        } else if ("Show".equals(arg)) {
            cardLayout.show(cardCont, (String)arg);
            return true;
        }
        return false;
    }

    public static void main(String args[]) {
        new Main();
    }
}
