import java.awt.*;
class Main extends Frame {
    CheckboxGroup cgLeft = new CheckboxGroup();
    CheckboxGroup cgRight = new CheckboxGroup();
    Choice choice = new Choice();
    Checkbox cb = new Checkbox("Left", cgLeft, true);

    Main() {
        super("setCheckboxGroup Example");
        Panel p = new Panel();

        add("North", cb);

        p.setLayout(new GridLayout(0, 1));
        p.add(new Checkbox("Left", cgLeft, false));
        p.add(new Checkbox("Left", cgLeft, false));
        add("West", p);

        p = new Panel();
        p.setLayout(new GridLayout(0, 1));
        p.add(new Checkbox("Right", cgRight, false));
        p.add(new Checkbox("Right", cgRight, false));
        add("East", p);

        choice.addItem("None");
        choice.addItem("Left");
        choice.addItem("Right");
        choice.select("Left");
        add("South", choice);

        pack();
        show();
    }

    public boolean action(Event evt, Object what) {
        if (evt.target instanceof Choice) {
	    cb.setLabel((String)what);
            if ("None".equals(what)) {
                cb.setCheckboxGroup(null);
            } else if ("Left".equals(what)) {
                cb.setCheckboxGroup(cgLeft);
            } else if ("Right".equals(what)) {
                cb.setCheckboxGroup(cgRight);
            }
            return true;
        }
        return false;
    }

    static public void main(String[] args) {
        new Main();
    }
}
