import java.awt.*;
class Main extends Frame {
    Button btnCreate = new Button("Create Frame");
    Button btnDispose = new Button("Dispose Frame");
    Frame f;

    Main() {
        super("dispose Example");

        btnDispose.disable();
        add("North", btnCreate);
        add("South", btnDispose);
        resize(100, 100);
        show();
    }

    public boolean action(Event evt, Object arg) {
        if (evt.target == btnCreate) {
            btnCreate.disable();
            btnDispose.enable();
            f = new Frame("New Frame");
            f.reshape(100, 100, 100, 100);
            f.show();
            return true;
        } else if (evt.target == btnDispose) {
            btnCreate.enable();
            btnDispose.disable();
            f.dispose();
            return true;
        }
        return false;
    }

    public boolean handleEvent(Event evt) {
        if (evt.id == Event.WINDOW_DESTROY) {
            dispose();
            return true;
        }
        return super.handleEvent(evt);
    }
            
    static public void main(String[] args) {
        new Main();
    }
}
