import java.awt.*;
class Main extends Frame {
    boolean raised = true;

    Main() {
        super("fill3DRect Example");
        resize(200, 200);
        show();
    }

    public void paint(Graphics g) {
        Insets insets = this.insets();
        int x = 0, y = 0;
        int w = size().width-insets.left-insets.right;
        int h = size().height-insets.top-insets.bottom;

        w -= 1;    // draw inside the rectangle.
        h -= 1;    // draw inside the rectangle.
        g.setColor(getBackground());
        g.fill3DRect(x++, y++, w, h, raised);
    }

    public boolean mouseDown(Event evt, int x, int y) {
        raised = !raised;
        repaint();
        return true;
    }

    static public void main(String[] args) {
        new Main();
    }
}
