import java.awt.*;
class Main extends Frame {
    Main() {
        super("setFont Example");
        setBackground(Color.black);
        setForeground(Color.white);
        resize(200, 200);
        show();
    }

    public void paint(Graphics g) {
        int y = 0;
        for (int i=8; i<8*10; i+= 8) {
            Font f = new Font("TimesRoman", Font.PLAIN, i);
            FontMetrics fm = g.getFontMetrics(f);

            g.setFont(f);
            g.drawString(f.getName()+" at "+i+" points.", 
                0, y+fm.getAscent());
            y += fm.getHeight();
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
