import java.awt.*;
public class Main extends Frame {
    Label statusBar = new Label();

    Main() {
        super("Label Example");
        add("South", statusBar);
        resize(200, 200);
        show();
    }
    public boolean handleEvent(Event evt) {
        switch (evt.id) {
            case Event.MOUSE_MOVE:
            case Event.MOUSE_DRAG:
                String status = "("+evt.x+","+evt.y+") ";
        
                if (evt.controlDown()) status += "C";
                if (evt.shiftDown()) status += "S";
                if (evt.metaDown()) status += "M";
                statusBar.setText(status);
                return true;
        }
        return super.handleEvent(evt);
    }

    static public void main(String[] args) {
        new Main();
    }
}
