import java.awt.*;
class Main extends Frame {
    Main() {
        super("MenuBar Example");
        MenuBar mb = new MenuBar();
        Menu m = new Menu("File");

        m.add("New");
        m.add("Open...");
        mb.add(m);

        // To keep it short, these menus don't have menu items.
        mb.add(new Menu("Edit"));
        mb.setHelpMenu(new Menu("Help"));

        // Set the menu bar on the frame.
        setMenuBar(mb);
        resize(200, 100);    
        show();
    }

    public boolean action(Event evt, Object what) {
        if ("New".equals(what)) {
            // do new
            return true;
        } else if ("Open...".equals(what)) {
            // do open
            return true;
        }
        return false;
    }

    static public void main(String[] args) {
        new Main();
    }
}
