import java.awt.*;
class Main extends Frame {
    TextField tfSearch = new TextField();
    TextField tfReplace = new TextField();
    TextArea ta = new TextArea(10, 40);

    Main() {
        super("replaceText Example");
        Panel southPanel = new Panel();
        Panel p;

        southPanel.setLayout(new GridLayout(2, 1));
        p = new Panel();
        p.setLayout(new BorderLayout());
        p.add("West", new Label("Search:"));
        p.add("Center", tfSearch);
        southPanel.add(p);

        p = new Panel();
        p.setLayout(new BorderLayout());
        p.add("West", new Label("Replace:"));
        p.add("Center", tfReplace);
        southPanel.add(p);

        add("Center", ta);
        add("South", southPanel);
        pack();
        show();
    }

    public boolean action(Event evt, Object what) {
        if (evt.target == tfSearch || evt.target == tfReplace) {
            String str = tfSearch.getText();
            int s = ta.getText().indexOf(str, ta.getSelectionStart());

            if (s < 0 && ta.getSelectionStart() > 0) {
                //  Let's try from the beginning.
                s = ta.getText().indexOf(str, 0);
            }
            if (s >= 0) {
                String strRep = tfReplace.getText();
                ta.replaceText(strRep, s, s + str.length());
                ta.select(s + strRep.length(), s + strRep.length());
                ta.requestFocus();
            }
            return true;
        }
        return false;
    }

    static public void main(String[] args) {
        new Main();
    }
}
