import java.lang.Class;
import java.lang.Boolean;
import java.io.*;

class egClass {

    public static void getDetails(Class s) {
	    Class supclass = s.getSuperclass();
	    String supername = supclass.getName();
	    Class ifs[] = s.getInterfaces();
	    ClassLoader loader = s.getClassLoader();
	    String printname = s.toString();

	    System.out.println("Name of Class: " + printname);
	    System.out.println("Superclass is: " + supername);
	    System.out.println("Class Loader is : " + loader);
	    for (int i = 0; i < ifs.length; i++)
		System.out.println("Interface[" + i + "] is " + ifs[i]);

	    if (s.isInterface()) {
		System.out.println(printname + " is an Interface");
	    } else {
		System.out.println(printname + " is not an Interface");
	    }
	}

    public static void main (String args[]) {
	try {
	    Class c = Class.forName("java.lang.Boolean");
	    System.out.println(c.getName());
	    Class d = Class.forName("java.lang.notthere");
	    System.out.println(d.getName());
	} catch (ClassNotFoundException e) {
	    System.out.println(e);
	}
	
	try {
	    Class s = Class.forName("java.lang.String");
	    try {
		String str = (String)s.newInstance();
		System.out.println("Got new instance of String class");
	    } catch (InstantiationException e) {
		System.out.println(e);
	    } catch (IllegalAccessException e) {
		System.out.println(e);
	    }
	    getDetails(s);

	    s = Class.forName("java.applet.AppletContext");
	    getDetails(s);

	    s = Class.forName("java.io.RandomAccessFile");
	    getDetails(s);
	} catch (ClassNotFoundException e) {
	    System.out.println(e);
	}
    }
}
